<div>
    <div style="margin-bottom: 15px;">
        <label for="hours-reserve" style="padding-right: 10px;">Hours to reserve: {{hoursToReserve}}</label>
        <p-slider id="hours-reserve" [(ngModel)]="hoursToReserve" [min]="1" [max]="8" [style]="{'width':'14em', 'display':'inline-block'}"></p-slider>
    </div>

    <div style="margin-bottom: 15px;">
        <p-dropdown [options]="classes" [(ngModel)]="selectedclass" placeholder="Select class" [showClear]="true"></p-dropdown>
    </div>

    <div *ngIf="!now">
        <p>Date and time: {{selectedDateTime | date: 'dd/MM/yyyy h:mm'}}</p>
        <p-calendar [(ngModel)]="selectedDateTime" dateFormat="dd.mm.yy" [inline]="true" [showTime]="true" [stepMinute]="30"></p-calendar>
    </div>

    <hr />
    <div>
        <button type="button" icon="pi pi-info-circle" label="Send request" (click)="sendRequest()" pButton [disabled]="!selectedclass"></button>
    </div>
</div>
